# default options
%define sdb_ldap 1
%define sdb_mysql 0

%{?_with_sdb_ldap: %{expand: %%global sdb_ldap 1}}
%{?_without_sdb_ldap: %{expand: %%global sdb_ldap 0}}
%{?_with_sdb_mysql: %{expand: %%global sdb_mysql 1}}
%{?_without_sdb_mysql: %{expand: %%global sdb_mysql 0}}

%if %{sdb_mysql}
%define sdb_ldap 0
%endif

%if %{sdb_ldap}
%define sdb_mysql 0
%endif

Summary:	A DNS (Domain Name System) server
Name:		bind
Version:	9.3.1
Release:	%mkrel 4
License:	distributable
Group:		System/Servers
URL:		http://www.isc.org/products/BIND/
Source0:	ftp://ftp.isc.org/isc/%{name}9/%{version}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.isc.org/isc/%{name}9/%{version}/%{name}-%{version}.tar.gz.asc
Source2:	bind-manpages.tar.bz2
Source3:	bind-dhcp-dynamic-dns-examples.tar.bz2
Source4:	bind-named.init.bz2
Source5:	bind-named.logrotate.bz2
Source6:	bind-named.sysconfig.bz2
Source7:	bind-keygen.c.bz2
Source8:	bind-new_key.pl.bz2
Source9:	bind-update_bind.pl.bz2
Source10:	bind-chroot.sh.bz2
Source11:	bind-named.root.bz2
# (oe) http://mysql-bind.sourceforge.net/
Source12:	mysql-bind-0.1.tar.bz2
# (oe) http://www.venaas.no/ldap/bind-sdb/bind-sdb-ldap-1.0.tar.gz
Source13:	bind-sdb-ldap-1.0.tar.bz2
# (oe) http://www.blue-giraffe.com/zone2ldap/zone2ldap-0.4.tar.gz
Source14:	zone2ldap/zone2ldap-0.4.tar.bz2
# (oe) http://www.venaas.no/dns/ldap2zone/
Source15:	ldap2zone.tar.bz2
Patch0:		bind-9.3.0rc2-fallback-to-second-server.patch.bz2
Patch1:		bind-9.3.0-libresolv.patch.bz2
Patch2:		bind-9.2.3-bsdcompat.patch.bz2
Patch3:		bind-9.3.0beta2-libtool.diff.bz2
Patch100:	bind-9.2.3-sdb_ldap.patch.bz2
Patch101:	bind-9.3.1-zone2ldap_fixes.diff.bz2
Patch102:	bind-9.3.0rc2-sdb_mysql.patch.bz2
Patch200:	bind-9.2.0rc3-varrun.patch.bz2
Patch201:	bind-9.3.0-handle-send-errors.patch.bz2
Patch202:	bind-9.3.0-missing-dnssec-tools.patch.bz2
Patch203:	libbind-9.3.1rc1-fix_h_errno.patch.bz2
Patch204:	bind-9.3.1-reject_resolv_conf_errors.patch.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	bind-utils >= %{version}-%{release}
BuildRequires:	openssl-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:  file
%if %{sdb_mysql}
BuildRequires:	MySQL-devel
%endif
%if %{sdb_ldap}
BuildRequires:	openldap-devel
%endif
Obsoletes:	libdns0
Provides:	libdns0
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

Many BIND 8 features previously unimplemented in BIND 9, including 
domain-specific forwarding, the $GENERATE master file directive, and
the "blackhole", "dialup", and "sortlist" options Forwarding of dynamic
update requests; this is enabled by the "allow-update-forwarding" option 
A new, simplified database interface and a number of sample drivers based
on it; see doc/dev/sdb for details 
Support for building single-threaded servers for environments that do not 
supply POSIX threads 
New configuration options: "min-refresh-time", "max-refresh-time", 
"min-retry-time", "max-retry-time", "additional-from-auth",
"additional-from-cache", "notify explicit" 
Faster lookups, particularly in large zones. 

Build Options:
--without sdb_ldap    Build without ldap simple database support (enabled
                      per default)
--with sdb_mysql      Build with MySQL database support (disables ldap
                      support, it's either way.)

%package	utils
Summary:	Utilities for querying DNS name servers
Group:		Networking/Other

%description	utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package	devel
Summary:	Include files and libraries needed for bind DNS development
Group:		Development/C

%description	devel
The bind-devel package contains all the include files and the
library required for DNS (Domain Name Service) development for
BIND versions 9.x.x.

%prep

%setup -q  -n %{name}-%{version} -a2 -a3 -a12 -a13 -a14 -a15
%patch0 -p1 -b .fallback-to-second-server
%patch1 -p1 -b .libresolv
%patch2 -p1 -b .bsdcompat
%patch3 -p1 -b .libtool

%if %{sdb_ldap}
%__cp bind-sdb-ldap-*/ldapdb.c bin/named/
%__cp bind-sdb-ldap-*/ldapdb.h bin/named/include/
%patch100 -p1 -b .ldap_sdb
%patch101 -p0
%endif

%if %{sdb_mysql}
mv mysql-bind-0.1 contrib/sdb/mysql
%__cp contrib/sdb/mysql/mysqldb.c bin/named
%__cp contrib/sdb/mysql/mysqldb.h bin/named/include
%patch102 -p1
%endif

%patch200 -p1 -b .varrun
#%patch201 -p1 -b .handle_send_errors
%patch202 -p1 -b .missing_dnssec_tools
%patch203 -p1 -b .fix_h_errno
%patch204 -p1 -b .reject_resolv_conf_errors

bzcat %{SOURCE4} > named.init
bzcat %{SOURCE5} > named.logrotate
bzcat %{SOURCE6} > named.sysconfig
bzcat %{SOURCE7} > keygen.c
bzcat %{SOURCE8} > new_key.pl
bzcat %{SOURCE9} > update_bind.pl
bzcat %{SOURCE10} > bind-chroot.sh
bzcat %{SOURCE11} > named.cache

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

# (oe) make queryperf from the contrib _before_ bind..., makes it
# easier to determine if it builds or not, it saves time...
pushd contrib/queryperf
export WANT_AUTOCONF_2_5=1
rm -f configure
autoconf
%configure2_5x
%make CFLAGS="%{optflags}"
popd

%configure \
    --localstatedir=%{_var} \
    --enable-threads \
    --enable-ipv6 \
    --with-openssl=%{_includedir}/openssl

# override CFLAGS for better security.  Ask Jay...
make "CFLAGS=-O2 -Wall -pipe"

# run the test suite
make check

%if %{sdb_ldap}
pushd zone2ldap
# fix references to zone2ldap
perl -pi -e "s|zone2ldap|zonetoldap|g" *
    gcc  -I../lib/dns/include -I../lib/dns/sec/dst/include -I../lib/isc/include -I../lib/isc/unix/include \
    -I../lib/isc/pthreads/include -c zone2ldap.c
    gcc -o zone2ldap zone2ldap.o ../lib/dns/libdns.a  -lcrypto -lpthread ../lib/isc/libisc.a -lldap -llber -lresolv
popd

pushd ldap2zone
    gcc  -I../lib/dns/include -I../lib/dns/sec/dst/include -I../lib/isc/include -I../lib/isc/unix/include \
    -I../lib/isc/pthreads/include -c ldap2zone.c
    gcc -o ldap2zone ldap2zone.o ../lib/dns/libdns.a  -lcrypto -lpthread ../lib/isc/libisc.a -lldap -llber -lresolv
popd

%endif

%if %{sdb_mysql}
pushd contrib/sdb/mysql
gcc  -I%{_includedir}/mysql -I../../../lib/dns/include -I../../../lib/dns/sec/dst/include \
  -I../../../lib/isc/include -I../../../lib/isc/unix/include -I../../../lib/isc/pthreads/include \
  -c zonetodb.c
gcc -o zonetodb zonetodb.o \
  ../../../lib/dns/libdns.a  -lcrypto -lpthread ../../../lib/isc/libisc.a \
  -lmysqlclient -lresolv
popd
%endif

gcc %{optflags} -o dns-keygen keygen.c

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

pushd doc
    rm -rf html
popd

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/{logrotate.d,sysconfig}
install -d %{buildroot}%{_var}/named
install -d %{buildroot}%{_var}/run/named 
install -d %{buildroot}%{_var}/log/named 

%makeinstall_std

ln -snf named %{buildroot}%{_sbindir}/lwresd

install -m0600 bin/rndc/rndc.conf %{buildroot}%{_sysconfdir}/
touch %{buildroot}%{_sysconfdir}/rndc.key
install -m0755 contrib/named-bootconf/named-bootconf.sh %{buildroot}%{_sbindir}/named-bootconf
install -m0755 contrib/queryperf/queryperf %{buildroot}%{_sbindir}/
cp contrib/queryperf/README contrib/queryperf/README.queryperf

install -m0755 named.init %{buildroot}%{_initrddir}/named
install -m0644 named.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/named
install -m0644 named.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/named

%if %{sdb_ldap}
install -m0755 zone2ldap/zone2ldap %{buildroot}%{_bindir}/zonetoldap
install -m0644 zone2ldap/zone2ldap.1 %{buildroot}%{_mandir}/man1/zonetoldap.1
install -m0755 ldap2zone/ldap2zone %{buildroot}%{_bindir}/ldap2zone
%endif

%if %{sdb_mysql}
install -m0755 contrib/sdb/mysql/zonetodb %{buildroot}%{_bindir}/
cp contrib/sdb/mysql/ChangeLog contrib/sdb/mysql/ChangeLog.mysql
cp contrib/sdb/mysql/README contrib/sdb/mysql/README.mysql
%endif

install -m0755 dns-keygen %{buildroot}%{_sbindir}/dns-keygen
install -m0755 new_key.pl %{buildroot}%{_sbindir}/
install -m0755 update_bind.pl %{buildroot}%{_sbindir}/
install -m0755 bind-chroot.sh %{buildroot}%{_sbindir}/

echo "; Use \"dig @A.ROOT-SERVERS.NET . ns\" to update this file if it's outdated." > named.cache.tmp
cat named.cache >> named.cache.tmp
install -m0644 named.cache.tmp %{buildroot}%{_var}/named/named.ca

# fix man pages
install -m0644 man5/resolver.5 %{buildroot}%{_mandir}/man5/
ln -s resolver.5.bz2 %{buildroot}%{_mandir}/man5/resolv.5.bz2

# the following 3 lines is needed to make it short-circuit compliant.
pushd doc
    rm -rf html
popd

install -d doc/html
cp -f `find . -type f |grep html |sed -e 's#\/%{name}-%{version}##'|grep -v contrib` ${RPM_BUILD_DIR}/%{name}-%{version}/doc/html 

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/isc-config.sh
%endif

cat > README.urpmi << EOF
You can use the sample named.conf file from the %{_docdir}/%{name}-%{version} directory
EOF

%pre
%_pre_useradd named %{_var}/named /bin/false

%post
%_post_service named

if [ -e %{_sysconfdir}/rndc.conf.rpmnew ]; then
	%{_sbindir}/new_key.pl
fi

%preun
%_preun_service named

%postun
%_postun_userdel named

%triggerpostun -- bind < 8.2.2_P5-15
/sbin/chkconfig --add named

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README FAQ COPYRIGHT README.urpmi
%doc contrib/queryperf/README.queryperf
%doc doc/draft doc/html doc/rfc doc/misc/
%doc doc/dhcp-dynamic-dns-examples doc/chroot doc/trustix
%if %{sdb_ldap}
%doc contrib/sdb/ldap/README.ldap contrib/sdb/ldap/INSTALL.ldap
%endif
%if %{sdb_mysql}
%doc contrib/sdb/mysql/ChangeLog.mysql contrib/sdb/mysql/README.mysql
%endif
%config(noreplace) %{_sysconfdir}/sysconfig/named
%config(noreplace) %{_sysconfdir}/logrotate.d/named
%attr(0755,root,root) %{_initrddir}/named
%config(noreplace) %attr(0600,named,named) %{_sysconfdir}/rndc.conf
%config(noreplace) %attr(0600,named,named) %{_sysconfdir}/rndc.key
%attr(0755,root,root) %{_sbindir}/bind-chroot.sh
%attr(0755,root,root) %{_sbindir}/dns-keygen
%attr(0755,root,root) %{_sbindir}/dnssec-keygen
%attr(0755,root,root) %{_sbindir}/dnssec-makekeyset
%attr(0755,root,root) %{_sbindir}/dnssec-signkey
%attr(0755,root,root) %{_sbindir}/dnssec-signzone
%attr(0755,root,root) %{_sbindir}/lwresd
%attr(0755,root,root) %{_sbindir}/named
%attr(0755,root,root) %{_sbindir}/named-bootconf
%attr(0755,root,root) %{_sbindir}/named-checkconf
%attr(0755,root,root) %{_sbindir}/named-checkzone
%attr(0755,root,root) %{_sbindir}/new_key.pl
%attr(0755,root,root) %{_sbindir}/queryperf
%attr(0755,root,root) %{_sbindir}/rndc
%attr(0755,root,root) %{_sbindir}/rndc-confgen
%attr(0755,root,root) %{_sbindir}/update_bind.pl
%{_mandir}/man3/lwres*.3*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man5/named.conf.5*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/rndc-confgen.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/dnssec-*.8*
%{_mandir}/man8/lwresd.8*
%{_mandir}/man8/named-*.8*
%attr(-,named,named) %dir %{_var}/named
%attr(-,named,named) %config(noreplace) %{_var}/named/named.ca
%attr(-,named,named) %dir %{_var}/run/named
%attr(-,named,named) %dir %{_var}/log/named 

%files devel
%defattr(-,root,root)
%doc CHANGES README
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/isc-config.sh
%endif
%attr(0755,root,root) %{_bindir}/isc-config.sh
%{_includedir}/*
%{_libdir}/*.a

%files utils
%defattr(-,root,root)
%doc README COPYRIGHT
%attr(0755,root,root) %{_bindir}/dig
%attr(0755,root,root) %{_bindir}/host
%attr(0755,root,root) %{_bindir}/nslookup
%attr(0755,root,root) %{_bindir}/nsupdate
%{_mandir}/man1/host.1*
%{_mandir}/man1/dig.1*
%{_mandir}/man1/nslookup.1*
%if %{sdb_ldap}
%doc zone2ldap/zone2ldap.README ldap2zone/README.ldap2zone ldap2zone/dnszone-schema.txt
%attr(0755,root,root) %{_bindir}/zonetoldap
%attr(0755,root,root) %{_bindir}/ldap2zone
%{_mandir}/man1/zonetoldap.1*
%endif
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man5/resolver.5*
%{_mandir}/man5/resolv.5*

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 9.3.1-4mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Aug 27 2005 Oden Eriksson <oeriksson@mandriva.com> 9.3.1-3mdk
- fix compilation of the queryperf util
- fix deps

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 9.3.1-2mdk
- added the contrib stuff from the original sources (S13,S14)
  and also add the corresponding url to where these resides. ie.
  don't use the bundled code...
- added P203,P204 from fedora (9.3.1-6)
- added the new ldap2zone tool (S15)
- combined two fedora patches into the new P101

* Fri Mar 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.1-1mdk
- 9.3.1
- use the %%mkrel macro

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.1-0.rc1.1mdk
- 9.3.1rc1
- dropped upstream implemented P4 (VU_938617)
- deactivated P201, another fix is implemented upstream as far as
  i could tell

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-7mdk
- remove stuff in %%post, such as an upgrade from bind 4.9.x (we 
  have never had such old stuff in here...)
- people running bind 4.9.x would know what to do when "upgrading"
  to this version...
- don't run the intrusive update_bind.pl in %%post, fixes ancient #10043
- fix misc rpmlint errors
- fix #10043
- strip away annoying ^M

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 9.3.0-6mdk
- rebuild for ldap2.2_7

* Fri Jan 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-5mdk
- security update for CERT VU#938617
- fix deps and conditional %%multiarch

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-4mdk
- fix deps, autoconf2.1 is implied anyway with the %%configure macro, this
  makes it easier to "backport" bind.
- drop unused patches, renumber patches and sources, rename and bzip sources.
- added supported rndc commands to the sysv script and also make it accept 
  arguments, for example "service named reload nux.se" will reload only 
  the "nux.se" zone.
- added P200 - P202 from fedora
- run the test suite (make check)
- make lwresd soft link to named instead of a hard link

* Mon Oct 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-3mdk
- touched S7 and and added stuff from trustix to it

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.3.0-2mdk
- fix detection of res_mkquery(), aka fix build on e.g. x86_64

* Thu Sep 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-1mdk
- 9.3.0

* Sat Sep 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-0.rc4.1mdk
- 9.3.0rc4
- drop P3, it's fixed upstream :)
- fix slight man page mess

* Tue Aug 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-0.rc3.1mdk
- 9.3.0rc3

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-0.rc2.3mdk
- added the mysql sdb driver (S12 & P102), thanks to Michael Scherer for
  helping with the contitional build stuff.
- rename zone2ldap to zonetoldap as it clashes with PowerDNS
- misc spec file fixes

* Tue Jul 13 2004 Florin <florin@mandrakesoft.com> 9.3.0-0.rc2.2mdk
- update description (without sdb_ldap)

* Mon Jul 12 2004 Florin <florin@mandrakesoft.com> 9.3.0-0.rc2.1mdk
- 9.3.0rc2
- update some patches
- comment out the broken queryperf from contrib for now

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-0.beta2.6mdk
- update description (Tibor Pittich)

* Wed Jun 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 9.3.0-0.beta2.5mdk
- S11 was outdated as pointed out by Olivier Thauvin, fixed with a twist.
- added P6
- use some more aclocal and autoconf magic
- fix deps

* Sat Jun 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 9.3.0-0.beta2.4mdk
- removed build-dependency on bind-devel for zone2ldap

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 9.3.0-0.beta2.3mdk
- fix buildrequires
- cleanups!

* Wed May 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 9.3.0-0.beta2.2mdk
- make sdb_ldap work again (and enable by default)
- add zone2ldap and man page when building with sdb_ldap

* Tue Apr 20 2004 Florin <florin@mandrakesoft.com> 9.3.0-0.beta2.1mdk
- 9.3.0beta2
- update the fallback-to-second-server patch

* Thu Mar 25 2004 Florin <florin@mandrakesoft.com> 9.2.3-6mdk
- remove the silly conditions around source/patch 100 (thx Buchan)

* Wed Mar 17 2004 Florin <florin@mandrakesoft.com> 9.2.3-5mdk
- comment out the IDN patch - bug #8958
- add the bsdcompat patch - bug #8840

* Fri Feb 24 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 9.2.3-4mdk
- added optional support for sdb-ldap zone files
- add the README.sdb-ldap and INSTALL.sdb-ldap files (Florin)

* Sun Nov 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 9.2.3-3mdk
- rebuilt for reupload

* Mon Oct 27 2003 Florin <florin@mandrakesoft.com> 9.2.3-2mdk
- add sleep 2 in the restart function of the initscript

* Fri Oct 24 2003 Florin <florin@mandrakesoft.com> 9.2.3-1mdk
- 9.2.3

* Thu Oct 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 9.2.3-0.rc4.3mdk
- added IDN support (P4, rediffed from the patch for bind-9.2.2)
- buildrequires idnkit-devel

* Wed Sep 24 2003 Florin <florin@mandrakesoft.com> 9.2.3-2mdk
- fix the stop in the initscript

* Mon Sep 22 2003 Florin <florin@mandrakesoft.com> 9.2.3-0.rc4.1mdk
- rc4 (fixes bugs 1511, 1512)

* Sat Sep 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 9.2.3-0.rc3.1mdk
- 9.2.3rc3 (fixes bind bugs 1509, 1508, 1507 and 1506)
- added P3 to make nslookup shut up about possible deprecation, i think
  we will notice this ourselves eventually anyhow...

* Wed Sep 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 9.2.3-0.rc2.1mdk
- 9.2.3rc2 (support for "delegation-only" zones)
- updated S7 to reflect the support for "delegation-only" zones

* Tue Aug 26 2003 Florin <florin@mandrakesoft.com> 9.2.3-0.rc1.1mdk
- 9.2.3rc1
- update the callback patch

* Fri Aug  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.2.2-3mdk
- Reenable libresolv patch, it's always nice to see useful patches
  silently removed...

* Mon Jun 02 2003 Florin <florin@mandrakesoft.com> 9.2.2-2mdk
- better help message for the chroot script (thx Charles Davant)

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 9.2.2-1mdk
- 9.2.2

* Wed Feb 26 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 9.2.2-0.rc1.4mdk
- Change the default semantic by default it go on the second server
  when get a SERVFAIL, specify +fail to dig or -fail to nslookup or -F
  to host if you really want this option.

* Wed Feb 26 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 9.2.2-0.rc1.3mdk
- Add option -f to host to don't fail when the firstserv and fallback
  on the second server when the first one return SERVFAIL (same for
  nslookup and option -nofail)(and use +nofail with dig) usefull with
  zeroconf dns.

* Mon Feb 10 2003 Florin <florin@mandrakesoft.com> 9.2.2-0.rc1.2mdk
- update the named.root (thx to Ben Reser)

* Wed Oct 16 2002 Florin <florin@mandrakesoft.com> 9.2.2-0.rc1.1mdk
-  9.2.2-0.rc1.1mdk

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.2.1-5mdk
- Patch1: Fix lookup of res_mkquery() in libresolv

* Tue Aug 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 9.2.1-4mdk
- fix buffer overflow for dns resolver libs
- put named.ca in bind proper (not in caching-nameserver anymore)

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 9.2.1-3mdk
- add named user

* Thu Jul 11 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.2.1-2mdk
- Really 9.2.1 (Florin forgot to remove the rc1 tag).
- Don't bzip2, use pristine .tar.gz source, otherwise there is no point in 
  shipping the .asc file.
- Short Circuit Compliant (tm).

* Thu May 02 2002 Florin <florin@mandrakesoft.com> 9.2.1-1mdk
- 9.2.1
- rename the chroot script : bind-chroot.sh is the new name

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 9.2.1-0.rc1.1mdk
- 9.2.1rc1
- some minor fixes for chroot_bind.sh

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 9.2.0-5mdk
- chroot_bind.sh final fixes (thx to Scott Wunsch ideas)

* Fri Mar 08 2002 Florin <florin@mandrakesoft.com> 9.2.0-4mdk
- new chroot_bind.sh script (supports interactive, undo, status)

* Fri Feb 15 2002 Florin <florin@mandrakesoft.com> 9.2.0-3mdk
- fix the sed line (thx to Bryan Paxton for letting me know)
- add a userfriendly chroot configuration chroot_bind.sh script
- add a sample chroot configuration in %{_docdir}/%{name}-%{version}

* Sun Jan 13 2002 Geoffrey Lee <snailtalk@mandrkaesoft.com> 9.2.0-2mdk
- Don't require bind for the -devel package. The development package only
  contain C header files and static libraries.
  
* Tue Nov 27 2001 Florin <florin@mandrakesoft.com> 9.2.0-1mdk
- 9.2.0 ... at last

* Wed Nov 21 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc10.1mdk
- 9.2.0rc10
- add a whole bunch of html files

* Thu Nov 08 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc9.1mdk
- 9.2.0rc9

* Thu Oct 25 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc8.1mdk
- 9.2.0rc8

* Wed Oct 17 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc7.1mdk
- 9.2.0rc7

* Wed Oct 10 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc6.2mdk
- remove the named.conf file as it  conflicts with ch-nm-server

* Tue Oct 09 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc6.1mdk
- 9.2.0rc6
- add a silly named.conf file

* Wed Oct 03 2001 Florin <florin@mandrakesoft.com>  9.2.0-0.rc5.1mdk
-  9.2.0rc5

* Wed Sep 26 2001 Florin <florin@mandrakesoft.com> 9.2.0-0.rc4.1mdk
- 9.2.0rc4

* Wed Sep 12 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.rc2.3mdk
- 9.2.0rc3
- remove the rndc-confgen.8 part as it is copied by the Makefile now

* Wed Sep 12 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.rc2.3mdk
- add the rndc-confgen.8 man page
- update the config in the examples from doc (rndc status, etc, works now)

* Mon Sep 10 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.rc2.2mdk
- bind-utils doesn't have to require bind (my mistake)
- remove the useless patches

* Fri Sep 07 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.rc2.1mdk
- 9.2.0rc2
- fix some doc permissions
- remove the requires on libs in the bind-utils package
- bind-utils requires bind >= %{version} now
- add the /et/rndc.key file
- compile with static libs and remove the libs package 
- slightly modify the named.ca file in the docs
- add Epoch 1

* Fri Aug 10 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.rc1.1mdk
- 9.2.0rc1
- add the kerberos sections in the examples files
- add /bin/sh in requires 

* Tue Jul 31 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.b2.1mdk
- 9.2.0b2

* Wed Jul 18 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.b1.1mdk
- 9.2.0b1

* Tue Jul 17 2001 Florin <florin@mandrkaesoft.com> 9.2.0-0.a3.2mdk
- use the new_key.pl silly script only if %%{_sysconfdir}/rndc.conf.rpmnew exists
- add the named.pid line in %%{_sysconfdir}/named.conf file, if the later exists
  using the new update_bind.pl silly script

* Mon Jul 16 2001 Florin Grad <florin@mandrkaesoft.com> 9.2.0-0.a3.1mdk
- 9.2.0a3
- add the nanny.pl, rndc-confgen, queryperf scripts
- add the FAQ, COPYRIGHT, README.queryperf text files


* Tue Jun 26 2001 Florin Grad <florin@mandrkaesoft.com> 9.2.0-0.a2.2mdk
- fix a small typo on the silly new_key.pl script
- add really working examples
- add %%{_sysconfdir}/sysconfig/named file

* Fri Jun 22 2001 Florin Grad <florin@mandrkaesoft.com> 9.2.0-0.a2.1mdk
- correct naming (add the their_version macro). Thx G. Lee

* Thu Jun 21 2001 Florin Grad <florin@mandrkaesoft.com> 9.2.0a2-1mdk
- 9.2.0a2
- extract the bind-utils libraries to a libdns package
- add the keygen.c and the sysconfig file sources
- fix the %%{_sysconfdir}/rndc.conf permission (thx to Michael Brown)
- add the sample configuration files in relation with the dhcpd server
- add the named.conf, named-* and all the lwres* man pages
- add the %%{_sbindir}/new_key.pl script that generates a key and updates the 
  %%{_sysconfdir}/named.conf and %%{_sysconfdir}/rndc.conf files

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 9.1.2-2mdk
- BuildRequires: openssl-devel

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.2-1mdk
- Version 9.1.2.

* Thu Mar 29 2001 Florin Grad <florin@mandrkaesoft.com> 9.1.1-1mdk
- 9.1.1

* Wed Mar 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 9.1.1-0.rc7.2mdk
- use post_service and preun_service scripts

* Tue Mar 27 2001 Florin Grad <florin@mandrkaesoft.com> 9.1.1-0.rc7.1mdk
- rc7

* Thu Mar 01 2001 Geoffrey Lee <snailtalk@mandrkaesoft.com> 9.1.1-0.rc3.1mdk
- New and shiny 9.1.1rc3.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 9.1.1-0.rc2.2mdk
- Fix build on glibc.
- Explicitly enable IPv6.
- Override CFLAGS with conservative ones for better security.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.1-0.rc2.1mdk
- Put 9.1.1rc2 out for everyone to use.
- Use system openssl libraries.
- Enable threading.
- Use -j, not -I when using the bzip2 filter through tar.

* Mon Jan 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-3mdk
- fix the nslookup issue.
- merge in the other redhat patch (.reverse).

* Sun Jan 21 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 9.1.0-2mdk
- fix /var/run issue (thanks redhat)

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-1mdk
- really 9.1.0.

* Sat Jan 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-0.rc1.1mdk
- make a new and shiny binary from a new and shiny source.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 9.1.0-0.b3.1mdk
- Change how the release is handled to avoid potential Serial: problem.
  Well, you might still have to use --force now, but better early than
  late.
- new and shiny source.

* Wed Jan 03 2001 Florin Grad <florin@mandrakesoft.com> 9.1.0b2-1mdk
- 9.1.0b2

* Wed Dec 06 2000 Florin Grad <florin@mandrakesoft.com> 9.1.0b1-1mdk
- 9.1.0b1 

* Tue Nov 07 2000 Florin Grad <florin@mandrakesoft.com> 9.0.1rc2-1mdk
- 9.0.1rc2

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 9.0.1rc1-1mdk
- 9.0.1rc1 wich contains alot of fixes for 9.0.0
- fix the spec file
- dig manpage is provided now by the bind package (removed from the bind-manpages)

* Thu Nov 02 2000 Florin Grad <florin@mandrakesoft.com> 9.0.0-1mdk
- Mandrake adaptations

* Tue Oct 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add some missing man pages (taken from bind8) (Bug #18794)

* Sun Sep 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 9.0.0 final
